package com.tutego.insel.annotation;

import java.lang.annotation.*;
import static java.lang.annotation.ElementType.*;

@Target( { TYPE, METHOD, CONSTRUCTOR, PACKAGE } )
@Retention( RetentionPolicy.RUNTIME )
public @interface Optimize
{
  enum Priority { LOW, NORM, HIGH }

  String   value();
  String[] assignedTo() default "";
  Priority priority()   default Priority.NORM;
}
